hpp-corbaserver: src/hpp/common-idl.hh File Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Classes | Macros | Typedefs | Enumerations | Functions | Variables
common-idl.hh File Reference
`#include <omniORB4/CORBA.h>`
Include dependency graph for common-idl.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Names_t
class | Names_t_var
class | Names_t_out
class | stringSeqSeq
class | stringSeqSeq_var
class | stringSeqSeq_out
class | Error
class | boolSeq
class | boolSeq_var
class | boolSeq_out
class | intSeq
class | intSeq_var
class | intSeq_out
class | intSeqSeq
class | intSeqSeq_var
class | intSeqSeq_out
class | floatSeq
class | floatSeq_var
class | floatSeq_out
class | floatSeqSeq
class | floatSeqSeq_var
class | floatSeqSeq_out
class | Transform__copyHelper
class | TransformSeq
class | TransformSeq_var
class | TransformSeq_out
class | Quaternion__copyHelper
class | ComparisonTypes_t
class | ComparisonTypes_t_var
class | ComparisonTypes_t_out

## Macros
#define | USE_stub_in_nt_dll_NOT_DEFINED_common
#define | USE_core_stub_in_nt_dll_NOT_DEFINED_common
#define | USE_dyn_stub_in_nt_dll_NOT_DEFINED_common
#define | _core_attr
#define | _dyn_attr

## Typedefs
typedef ::CORBA::Double | value_type
typedef ::CORBA::Double_out | value_type_out
typedef ::CORBA::LongLong | size_type
typedef ::CORBA::LongLong_out | size_type_out
typedef ::CORBA::ULong | frame_index
typedef ::CORBA::ULong_out | frame_index_out
typedef ::CORBA::Double | Transform_[7]
typedef ::CORBA::Double | Transform__slice
typedef _CORBA_Array_Fix_Var< Transform__copyHelper, Transform__slice > | Transform__var
typedef _CORBA_Array_Fix_Forany< Transform__copyHelper, Transform__slice > | Transform__forany
typedef Transform__slice * | Transform__out
typedef ::CORBA::Double | Quaternion_[4]
typedef ::CORBA::Double | Quaternion__slice
typedef _CORBA_Array_Fix_Var< Quaternion__copyHelper, Quaternion__slice > | Quaternion__var
typedef _CORBA_Array_Fix_Forany< Quaternion__copyHelper, Quaternion__slice > | Quaternion__forany
typedef Quaternion__slice * | Quaternion__out
typedef ComparisonType & | ComparisonType_out

## Enumerations
enum | ComparisonType { Equality , EqualToZero , Superior , Inferior }

## Functions
_CORBA_MODULE_INLINE Transform__slice * | Transform__alloc ()
_CORBA_MODULE_INLINE Transform__slice * | Transform__dup (const Transform__slice *_s)
_CORBA_MODULE_INLINE void | Transform__copy (Transform__slice *_to, const Transform__slice *_from)
_CORBA_MODULE_INLINE void | Transform__free (Transform__slice *_s)
_CORBA_MODULE_INLINE Quaternion__slice * | Quaternion__alloc ()
_CORBA_MODULE_INLINE Quaternion__slice * | Quaternion__dup (const Quaternion__slice *_s)
_CORBA_MODULE_INLINE void | Quaternion__copy (Quaternion__slice *_to, const Quaternion__slice *_from)
_CORBA_MODULE_INLINE void | Quaternion__free (Quaternion__slice *_s)
_CORBA_MODULE_END _CORBA_MODULE POA_hpp _CORBA_MODULE_BEG _CORBA_MODULE_END _CORBA_MODULE OBV_hpp _CORBA_MODULE_BEG _CORBA_MODULE_END void | operator<<= (::CORBA::Any &_a, const hpp::Names_t &_s)
void | operator<<= (::CORBA::Any &_a, hpp::Names_t *_sp)
_CORBA_Boolean | operator>>= (const ::CORBA::Any &_a, hpp::Names_t *&_sp)
_CORBA_Boolean | operator>>= (const ::CORBA::Any &_a, const hpp::Names_t *&_sp)
void | operator<<= (::CORBA::Any &_a, const hpp::stringSeqSeq &_s)
void | operator<<= (::CORBA::Any &_a, hpp::stringSeqSeq *_sp)
_CORBA_Boolean | operator>>= (const ::CORBA::Any &_a, hpp::stringSeqSeq *&_sp)
_CORBA_Boolean | operator>>= (const ::CORBA::Any &_a, const hpp::stringSeqSeq *&_sp)
void | operator<<= (::CORBA::Any &_a, const hpp::Error &_s)
void | operator<<= (::CORBA::Any &_a, const hpp::Error *_sp)
_CORBA_Boolean | operator>>= (const ::CORBA::Any &_a, const hpp::Error *&_sp)
void | operator<<= (::CORBA::Any &_a, const hpp::boolSeq &_s)
void | operator<<= (::CORBA::Any &_a, hpp::boolSeq *_sp)
_CORBA_Boolean | operator>>= (const ::CORBA::Any &_a, hpp::boolSeq *&_sp)
_CORBA_Boolean | operator>>= (const ::CORBA::Any &_a, const hpp::boolSeq *&_sp)
void | operator<<= (::CORBA::Any &_a, const hpp::intSeq &_s)
void | operator<<= (::CORBA::Any &_a, hpp::intSeq *_sp)
_CORBA_Boolean | operator>>= (const ::CORBA::Any &_a, hpp::intSeq *&_sp)
_CORBA_Boolean | operator>>= (const ::CORBA::Any &_a, const hpp::intSeq *&_sp)
void | operator<<= (::CORBA::Any &_a, const hpp::intSeqSeq &_s)
void | operator<<= (::CORBA::Any &_a, hpp::intSeqSeq *_sp)
_CORBA_Boolean | operator>>= (const ::CORBA::Any &_a, hpp::intSeqSeq *&_sp)
_CORBA_Boolean | operator>>= (const ::CORBA::Any &_a, const hpp::intSeqSeq *&_sp)
void | operator<<= (::CORBA::Any &_a, const hpp::floatSeq &_s)
void | operator<<= (::CORBA::Any &_a, hpp::floatSeq *_sp)
_CORBA_Boolean | operator>>= (const ::CORBA::Any &_a, hpp::floatSeq *&_sp)
_CORBA_Boolean | operator>>= (const ::CORBA::Any &_a, const hpp::floatSeq *&_sp)
void | operator<<= (::CORBA::Any &_a, const hpp::floatSeqSeq &_s)
void | operator<<= (::CORBA::Any &_a, hpp::floatSeqSeq *_sp)
_CORBA_Boolean | operator>>= (const ::CORBA::Any &_a, hpp::floatSeqSeq *&_sp)
_CORBA_Boolean | operator>>= (const ::CORBA::Any &_a, const hpp::floatSeqSeq *&_sp)
void | operator<<= (::CORBA::Any &_a, const hpp::Transform__forany &_s)
_CORBA_Boolean | operator>>= (const ::CORBA::Any &_a, hpp::Transform__forany &_s)
void | operator<<= (::CORBA::Any &_a, const hpp::TransformSeq &_s)
void | operator<<= (::CORBA::Any &_a, hpp::TransformSeq *_sp)
_CORBA_Boolean | operator>>= (const ::CORBA::Any &_a, hpp::TransformSeq *&_sp)
_CORBA_Boolean | operator>>= (const ::CORBA::Any &_a, const hpp::TransformSeq *&_sp)
void | operator<<= (::CORBA::Any &_a, const hpp::Quaternion__forany &_s)
_CORBA_Boolean | operator>>= (const ::CORBA::Any &_a, hpp::Quaternion__forany &_s)
void | operator>>= (hpp::ComparisonType _e, cdrStream &s)
void | operator<<= (hpp::ComparisonType &_e, cdrStream &s)
void | operator<<= (::CORBA::Any &_a, hpp::ComparisonType _s)
_CORBA_Boolean | operator>>= (const ::CORBA::Any &_a, hpp::ComparisonType &_s)
void | operator<<= (::CORBA::Any &_a, const hpp::ComparisonTypes_t &_s)
void | operator<<= (::CORBA::Any &_a, hpp::ComparisonTypes_t *_sp)
_CORBA_Boolean | operator>>= (const ::CORBA::Any &_a, hpp::ComparisonTypes_t *&_sp)
_CORBA_Boolean | operator>>= (const ::CORBA::Any &_a, const hpp::ComparisonTypes_t *&_sp)

## Variables
_CORBA_MODULE hpp _CORBA_MODULE_BEG _CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr | _tc_value_type
_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr | _tc_size_type
_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr | _tc_frame_index
_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr | _tc_Names_t
_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr | _tc_stringSeqSeq
_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr | _tc_Error
_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr | _tc_boolSeq
_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr | _tc_intSeq
_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr | _tc_intSeqSeq
_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr | _tc_floatSeq
_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr | _tc_floatSeqSeq
_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr | _tc_Transform_
_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr | _tc_TransformSeq
_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr | _tc_Quaternion_
_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr | _tc_ComparisonType
_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr | _tc_ComparisonTypes_t

## Macro Definition Documentation

## ◆ _core_attr

#define _core_attr

## ◆ _dyn_attr

#define _dyn_attr

## ◆ USE_core_stub_in_nt_dll_NOT_DEFINED_common

#define USE_core_stub_in_nt_dll_NOT_DEFINED_common

## ◆ USE_dyn_stub_in_nt_dll_NOT_DEFINED_common

#define USE_dyn_stub_in_nt_dll_NOT_DEFINED_common

## ◆ USE_stub_in_nt_dll_NOT_DEFINED_common

#define USE_stub_in_nt_dll_NOT_DEFINED_common

## Typedef Documentation

## ◆ ComparisonType_out

typedef ComparisonType& ComparisonType_out

## ◆ frame_index

typedef ::CORBA::ULong frame_index

## ◆ frame_index_out

typedef ::CORBA::ULong_out frame_index_out

## ◆ Quaternion_

typedef ::CORBA::Double Quaternion_[4]

## ◆ Quaternion__forany

typedef _CORBA_Array_Fix_Forany<Quaternion__copyHelper,Quaternion__slice> Quaternion__forany

## ◆ Quaternion__out

typedef Quaternion__slice* Quaternion__out

## ◆ Quaternion__slice

typedef ::CORBA::Double Quaternion__slice

## ◆ Quaternion__var

typedef _CORBA_Array_Fix_Var<Quaternion__copyHelper,Quaternion__slice> Quaternion__var

## ◆ size_type

typedef ::CORBA::LongLong size_type

## ◆ size_type_out

typedef ::CORBA::LongLong_out size_type_out

## ◆ Transform_

typedef ::CORBA::Double Transform_[7]

## ◆ Transform__forany

typedef _CORBA_Array_Fix_Forany<Transform__copyHelper,Transform__slice> Transform__forany

## ◆ Transform__out

typedef Transform__slice* Transform__out

## ◆ Transform__slice

typedef ::CORBA::Double Transform__slice

## ◆ Transform__var

typedef _CORBA_Array_Fix_Var<Transform__copyHelper,Transform__slice> Transform__var

## ◆ value_type

typedef ::CORBA::Double value_type

## ◆ value_type_out

typedef ::CORBA::Double_out value_type_out

## Enumeration Type Documentation

## ◆ ComparisonType

enum ComparisonType

Enumerator
Equality |
EqualToZero |
Superior |
Inferior |

## Function Documentation

## ◆ operator<<=() [1/24]

void operator<<= | ( | ::CORBA::Any & | _a,
|  | const hpp::boolSeq & | _s
| ) |  |

## ◆ operator<<=() [2/24]

void operator<<= | ( | ::CORBA::Any & | _a,
|  | const hpp::ComparisonTypes_t & | _s
| ) |  |

## ◆ operator<<=() [3/24]

void operator<<= | ( | ::CORBA::Any & | _a,
|  | const hpp::Error & | _s
| ) |  |

## ◆ operator<<=() [4/24]

void operator<<= | ( | ::CORBA::Any & | _a,
|  | const hpp::Error * | _sp
| ) |  |

## ◆ operator<<=() [5/24]

void operator<<= | ( | ::CORBA::Any & | _a,
|  | const hpp::floatSeq & | _s
| ) |  |

## ◆ operator<<=() [6/24]

void operator<<= | ( | ::CORBA::Any & | _a,
|  | const hpp::floatSeqSeq & | _s
| ) |  |

## ◆ operator<<=() [7/24]

void operator<<= | ( | ::CORBA::Any & | _a,
|  | const hpp::intSeq & | _s
| ) |  |

## ◆ operator<<=() [8/24]

void operator<<= | ( | ::CORBA::Any & | _a,
|  | const hpp::intSeqSeq & | _s
| ) |  |

## ◆ operator<<=() [9/24]

_CORBA_MODULE_END _CORBA_MODULE POA_hpp _CORBA_MODULE_BEG _CORBA_MODULE_END _CORBA_MODULE OBV_hpp _CORBA_MODULE_BEG _CORBA_MODULE_END void operator<<= | ( | ::CORBA::Any & | _a,
|  | const hpp::Names_t & | _s
| ) |  |

## ◆ operator<<=() [10/24]

void operator<<= | ( | ::CORBA::Any & | _a,
|  | const hpp::Quaternion__forany & | _s
| ) |  |

## ◆ operator<<=() [11/24]

void operator<<= | ( | ::CORBA::Any & | _a,
|  | const hpp::stringSeqSeq & | _s
| ) |  |

## ◆ operator<<=() [12/24]

void operator<<= | ( | ::CORBA::Any & | _a,
|  | const hpp::Transform__forany & | _s
| ) |  |

## ◆ operator<<=() [13/24]

void operator<<= | ( | ::CORBA::Any & | _a,
|  | const hpp::TransformSeq & | _s
| ) |  |

## ◆ operator<<=() [14/24]

void operator<<= | ( | ::CORBA::Any & | _a,
|  | hpp::boolSeq * | _sp
| ) |  |

## ◆ operator<<=() [15/24]

void operator<<= | ( | ::CORBA::Any & | _a,
|  | hpp::ComparisonType | _s
| ) |  |

## ◆ operator<<=() [16/24]

void operator<<= | ( | ::CORBA::Any & | _a,
|  | hpp::ComparisonTypes_t * | _sp
| ) |  |

## ◆ operator<<=() [17/24]

void operator<<= | ( | ::CORBA::Any & | _a,
|  | hpp::floatSeq * | _sp
| ) |  |

## ◆ operator<<=() [18/24]

void operator<<= | ( | ::CORBA::Any & | _a,
|  | hpp::floatSeqSeq * | _sp
| ) |  |

## ◆ operator<<=() [19/24]

void operator<<= | ( | ::CORBA::Any & | _a,
|  | hpp::intSeq * | _sp
| ) |  |

## ◆ operator<<=() [20/24]

void operator<<= | ( | ::CORBA::Any & | _a,
|  | hpp::intSeqSeq * | _sp
| ) |  |

## ◆ operator<<=() [21/24]

void operator<<= | ( | ::CORBA::Any & | _a,
|  | hpp::Names_t * | _sp
| ) |  |

## ◆ operator<<=() [22/24]

void operator<<= | ( | ::CORBA::Any & | _a,
|  | hpp::stringSeqSeq * | _sp
| ) |  |

## ◆ operator<<=() [23/24]

void operator<<= | ( | ::CORBA::Any & | _a,
|  | hpp::TransformSeq * | _sp
| ) |  |

## ◆ operator<<=() [24/24]

void operator<<= | ( | hpp::ComparisonType & | _e,
|  | cdrStream & | s
| ) |  |
| inline

## ◆ operator>>=() [1/23]

_CORBA_Boolean operator>>= | ( | const ::CORBA::Any & | _a,
|  | const hpp::boolSeq *& | _sp
| ) |  |

## ◆ operator>>=() [2/23]

_CORBA_Boolean operator>>= | ( | const ::CORBA::Any & | _a,
|  | const hpp::ComparisonTypes_t *& | _sp
| ) |  |

## ◆ operator>>=() [3/23]

_CORBA_Boolean operator>>= | ( | const ::CORBA::Any & | _a,
|  | const hpp::Error *& | _sp
| ) |  |

## ◆ operator>>=() [4/23]

_CORBA_Boolean operator>>= | ( | const ::CORBA::Any & | _a,
|  | const hpp::floatSeq *& | _sp
| ) |  |

## ◆ operator>>=() [5/23]

_CORBA_Boolean operator>>= | ( | const ::CORBA::Any & | _a,
|  | const hpp::floatSeqSeq *& | _sp
| ) |  |

## ◆ operator>>=() [6/23]

_CORBA_Boolean operator>>= | ( | const ::CORBA::Any & | _a,
|  | const hpp::intSeq *& | _sp
| ) |  |

## ◆ operator>>=() [7/23]

_CORBA_Boolean operator>>= | ( | const ::CORBA::Any & | _a,
|  | const hpp::intSeqSeq *& | _sp
| ) |  |

## ◆ operator>>=() [8/23]

_CORBA_Boolean operator>>= | ( | const ::CORBA::Any & | _a,
|  | const hpp::Names_t *& | _sp
| ) |  |

## ◆ operator>>=() [9/23]

_CORBA_Boolean operator>>= | ( | const ::CORBA::Any & | _a,
|  | const hpp::stringSeqSeq *& | _sp
| ) |  |

## ◆ operator>>=() [10/23]

_CORBA_Boolean operator>>= | ( | const ::CORBA::Any & | _a,
|  | const hpp::TransformSeq *& | _sp
| ) |  |

## ◆ operator>>=() [11/23]

_CORBA_Boolean operator>>= | ( | const ::CORBA::Any & | _a,
|  | hpp::boolSeq *& | _sp
| ) |  |

## ◆ operator>>=() [12/23]

_CORBA_Boolean operator>>= | ( | const ::CORBA::Any & | _a,
|  | hpp::ComparisonType & | _s
| ) |  |

## ◆ operator>>=() [13/23]

_CORBA_Boolean operator>>= | ( | const ::CORBA::Any & | _a,
|  | hpp::ComparisonTypes_t *& | _sp
| ) |  |

## ◆ operator>>=() [14/23]

_CORBA_Boolean operator>>= | ( | const ::CORBA::Any & | _a,
|  | hpp::floatSeq *& | _sp
| ) |  |

## ◆ operator>>=() [15/23]

_CORBA_Boolean operator>>= | ( | const ::CORBA::Any & | _a,
|  | hpp::floatSeqSeq *& | _sp
| ) |  |

## ◆ operator>>=() [16/23]

_CORBA_Boolean operator>>= | ( | const ::CORBA::Any & | _a,
|  | hpp::intSeq *& | _sp
| ) |  |

## ◆ operator>>=() [17/23]

_CORBA_Boolean operator>>= | ( | const ::CORBA::Any & | _a,
|  | hpp::intSeqSeq *& | _sp
| ) |  |

## ◆ operator>>=() [18/23]

_CORBA_Boolean operator>>= | ( | const ::CORBA::Any & | _a,
|  | hpp::Names_t *& | _sp
| ) |  |

## ◆ operator>>=() [19/23]

_CORBA_Boolean operator>>= | ( | const ::CORBA::Any & | _a,
|  | hpp::Quaternion__forany & | _s
| ) |  |

## ◆ operator>>=() [20/23]

_CORBA_Boolean operator>>= | ( | const ::CORBA::Any & | _a,
|  | hpp::stringSeqSeq *& | _sp
| ) |  |

## ◆ operator>>=() [21/23]

_CORBA_Boolean operator>>= | ( | const ::CORBA::Any & | _a,
|  | hpp::Transform__forany & | _s
| ) |  |

## ◆ operator>>=() [22/23]

_CORBA_Boolean operator>>= | ( | const ::CORBA::Any & | _a,
|  | hpp::TransformSeq *& | _sp
| ) |  |

## ◆ operator>>=() [23/23]

void operator>>= | ( | hpp::ComparisonType | _e,
|  | cdrStream & | s
| ) |  |
| inline

## ◆ Quaternion__alloc()

_CORBA_MODULE_INLINE Quaternion__slice * Quaternion__alloc | ( |  | ) |

## ◆ Quaternion__copy()

_CORBA_MODULE_INLINE void Quaternion__copy | ( | Quaternion__slice * | _to,
|  | const Quaternion__slice * | _from
| ) |  |

## ◆ Quaternion__dup()

_CORBA_MODULE_INLINE Quaternion__slice * Quaternion__dup | ( | const Quaternion__slice * | _s | ) |

## ◆ Quaternion__free()

_CORBA_MODULE_INLINE void Quaternion__free | ( | Quaternion__slice * | _s | ) |

## ◆ Transform__alloc()

_CORBA_MODULE_INLINE Transform__slice * Transform__alloc | ( |  | ) |

## ◆ Transform__copy()

_CORBA_MODULE_INLINE void Transform__copy | ( | Transform__slice * | _to,
|  | const Transform__slice * | _from
| ) |  |

## ◆ Transform__dup()

_CORBA_MODULE_INLINE Transform__slice * Transform__dup | ( | const Transform__slice * | _s | ) |

## ◆ Transform__free()

_CORBA_MODULE_INLINE void Transform__free | ( | Transform__slice * | _s | ) |

## Variable Documentation

## ◆ _tc_boolSeq

_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr _tc_boolSeq

## ◆ _tc_ComparisonType

_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr _tc_ComparisonType

## ◆ _tc_ComparisonTypes_t

_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr _tc_ComparisonTypes_t

## ◆ _tc_Error

_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr _tc_Error

## ◆ _tc_floatSeq

_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr _tc_floatSeq

## ◆ _tc_floatSeqSeq

_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr _tc_floatSeqSeq

## ◆ _tc_frame_index

_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr _tc_frame_index

## ◆ _tc_intSeq

_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr _tc_intSeq

## ◆ _tc_intSeqSeq

_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr _tc_intSeqSeq

## ◆ _tc_Names_t

_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr _tc_Names_t

## ◆ _tc_Quaternion_

_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr _tc_Quaternion_

## ◆ _tc_size_type

_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr _tc_size_type

## ◆ _tc_stringSeqSeq

_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr _tc_stringSeqSeq

## ◆ _tc_Transform_

_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr _tc_Transform_

## ◆ _tc_TransformSeq

_CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr _tc_TransformSeq

## ◆ _tc_value_type

_CORBA_MODULE hpp _CORBA_MODULE_BEG _CORBA_MODULE_VAR _dyn_attrconst ::CORBA::TypeCode_ptr _tc_value_type